# Visualization
TKService
Aspect

# Aspect_Background Class Reference

This class allows the definition of
a window background.
.

`#include <Aspect_Background.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_Background ()
| Creates a window background. Default color : NOC_MATRAGRAY. .
Standard_EXPORT | Aspect_Background (const Quantity_Color &AColor)
| Creates a window background with the colour <acolor>. .
Standard_EXPORT void | SetColor (const Quantity_Color &AColor)
| Modifies the colour of the window background <me>. .
Standard_EXPORT Quantity_Color | Color () const
| Returns the colour of the window background <me>. .

## Private Attributes

Quantity_Color | MyColor

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_Background::Aspect_Background | ( |  | ) |

Standard_EXPORT Aspect_Background::Aspect_Background | ( | const Quantity_Color & | AColor | ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color Aspect_Background::Color | ( |  | ) | const

void Aspect_Background::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_Background::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_Background::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Aspect_Background::SetColor | ( | const Quantity_Color & | AColor | ) |

## Field Documentation

Quantity_Color Aspect_Background::MyColor `[private]`

The documentation for this class was generated from the following file:

- Aspect_Background.hxx